Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.annotations
Enum AppearanceCharacteristics.OrientationEnum

    java.lang.Object
      java.lang.Enum<AppearanceCharacteristics.OrientationEnum>
          org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.OrientationEnum

All Implemented Interfaces:
  Serializable, Comparable<AppearanceCharacteristics.OrientationEnum>

Enclosing class:
  AppearanceCharacteristics

    public static enum AppearanceCharacteristics.OrientationEnum

extends Enum<AppearanceCharacteristics.OrientationEnum>

Annotation orientation [PDF:1.6:8.4.5].

Enum Constant Summary
`Down` Downward.
`Left` Leftward.
`Right` Rightward.
`Up` Upward.

Method Summary
`static AppearanceCharacteristics.OrientationEnum` | `get(int value)` Gets the orientation corresponding to the given value.
`int` | `getCode()`
`static AppearanceCharacteristics.OrientationEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AppearanceCharacteristics.OrientationEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Up

    public static final AppearanceCharacteristics.OrientationEnum Up

  Upward.

### Left

    public static final AppearanceCharacteristics.OrientationEnum Left

  Leftward.

### Down

    public static final AppearanceCharacteristics.OrientationEnum Down

  Downward.

### Right

    public static final AppearanceCharacteristics.OrientationEnum Right

  Rightward.

Method Detail

### values

    public static AppearanceCharacteristics.OrientationEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AppearanceCharacteristics.OrientationEnum c : AppearanceCharacteristics.OrientationEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AppearanceCharacteristics.OrientationEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static AppearanceCharacteristics.OrientationEnum get(int value)

  Gets the orientation corresponding to the given value.

### getCode

    public int getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.